Package Halberd :: Module clientlib :: Class HTTPSClient |
[show private | hide private]
[frames | no frames]

## Class HTTPSClient

    HTTPClient --+
                 |
                HTTPSClient

Special-purpose HTTPS client.

Method Summary
| ``__init__`(self)` Initializes the object.
| ``_connect`(self, addr)` Connect to the target web server.
| ``_sendAll`(self, data)` Sends a string to the socket.
Inherited from HTTPClient
| ``__del__`(self)`
`tuple` | ``getHeaders`(self, address, urlstr)` Talk to the target webserver and fetch MIME headers.
`str` | ``_fillTemplate`(self, hostname, port, url, params, query, fragment)` Fills the request template with relevant information.
`tuple` | ``_getHostAndPort`(self, netloc)` Determine the hostname and port to connect to from an URL
`tuple` | ``_getReply`(self)` Read a reply from the server.
| ``_putRequest`(self, address, urlstr)` Sends an HTTP request to the target webserver.

Instance Variable Summary
Inherited from HTTPClient
`int` | `bufsize`: Buffer size for network I/O.
`str` | `template`: Template of the HTTP request to be sent to the target.
`float` | `timeout`: Timeout for socket operations (expressed in seconds).
`callable` | `_recv`: Reference to a callable responsible from reading data from the network.

Method Details

### __init__(self) (Constructor) Initializes the object. Overrides: `Halberd.clientlib.HTTPClient.__init__` (inherited documentation)

### _connect(self, addr) Connect to the target web server. Parameters: `addr` - The target's address. (type=`tuple`) Raises: `HTTPSError` - In case there's some mistake during the SSL negotiation. Overrides: `Halberd.clientlib.HTTPClient._connect`

### _sendAll(self, data) Sends a string to the socket. Overrides: `Halberd.clientlib.HTTPClient._sendAll`

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net